Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Secret API key. Use sk_test_... for sandbox data or sk_live_... for live data (after verification and live mode). Do not use pk_ keys.

Query Parameters

limit
number

Number of records to return. Default 20, maximum 100.

Example:

20

offset
number

Number of records to skip. Default 0.

Example:

0

customerId
string

Return only this customer’s statement rows.

Example:

"cus_01hxyz"

type
enum<string>

Return only this customer-facing transaction type.

Available options:
wallet_credit,
wallet_funded,
escrow_funded,
escrow_released,
escrow_refunded,
withdrawal,
withdrawal_reversed
direction
enum<string>

Wallet: in / out. Escrow: locked (into hold) / unlocked (payer release or refund).

Available options:
in,
out,
locked,
unlocked

Return only rows related to this escrow or withdrawal id.

Example:

"esc_01hxyz"

startDate
string

Inclusive start of createdAt range (ISO 8601).

Example:

"2026-09-01T00:00:00.000Z"

endDate
string

Inclusive end of createdAt range (ISO 8601).

Example:

"2026-09-30T23:59:59.999Z"

format
enum<string>
default:csv

Download format. Defaults to csv.

Available options:
csv,
pdf
Example:

"csv"

Response

CSV or PDF download of transaction statement rows

The response is of type file.